installing

Jun 14, 2008 at 3:19 AM
I was reading the tutorials and it said in order to use X-Engine, you download the latest DLL file.  well the latest is for 2.1.1. I have XNA 2.0 so i think i need X-Engine 2.1.3.  but how do i get 2.1.3?  Do i just download the .DLL from 2.1.1 and is there someway to update it with the 2.1.3? 

Thanks
Coordinator
Jun 14, 2008 at 9:00 AM
The latest version is 2.1.4. However, I think the DLL is still named 2.1.1 in the download. Just use the DLL from the download page for 2.1.4.

As for the XNA DLL, to run version 2.1.4, you will need the XNA 3.0 CTP at creators.xna.com, and Visual Studio 2008.
Jun 14, 2008 at 2:21 PM
I understand that 2.1.4 is the latest version.  but there is no DLL on the download page for 2.1.4.  Plus i am using XNA 2.0 so i think i have to use X-Engine 2.1.3, corrrect?  So do i download the DLL on the 2.1.1 page? 
Coordinator
Jun 15, 2008 at 11:16 PM
No, download the source for whatever version you want to use. I am going to be uploading a 2.0 compatible version of the newest build shortly. The DLL is in the X-Engine/X-Engine/bin/x86/Debug folder in the source.
Jun 16, 2008 at 5:52 PM
Ok thanks.  I did the reference thing where you add the DLL to the references.  But when i put the line: Using XnaEngine2, in the Game.cs class it throws an error saying:
The type or namespace name"XnaEngine2"  could not be found (are you missing a using directive or an assembly reference?)

What do i do about?
Coordinator
Jun 18, 2008 at 3:41 AM
using XEngine;

Not XnaEngine2